

/**************************/
/* HEADER*/
.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  
  background-color: #fdf9f9;
/* background: linear-gradient(135deg,#EEAECA, #C5D4CB,#EB9DC0); */
  height: 9.6rem;
  padding: 0 4.8rem;
  position: relative;
  
}
.logo ,a{
  height: 4.8rem;
  overflow: hidden;
  
}
/****************************/
/* NAVIGATION */
/****************************/
.main-nav-list {
  list-style: none;
  display: flex;
  
  align-items: center;
  gap: 3.2rem;
}
.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  color: #333;
  font-weight: 500;
  font-size: 1.8rem;
  transition: all 0.3s;
}
.main-nav-link:hover,
.main-nav-link:active {
  color: #cd5c5c;
}
.main-nav-link.nav-cta:link,
.main-nav-link.nav-cta:visited {
  padding: 1.2rem 2.4rem;
  border-radius: 9px;
  color: #fff;
  /* background-color: #cd5c5c; */
  background: linear-gradient(135deg,#EEAECA, #C5D4CB,#EB9DC0);
}
.main-nav-link.nav-cta:hover,
.main-nav-link.nav-cta:active {
  color: #d4abab;
}

/* MOBILE */
.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;
  display: none;
}
/* STICKY */
.sticky .header{
  position: fixed;
  top:0;
  bottom: 0;
  width: 100%;
  height: 8rem;
  padding-top: 0;
  padding-bottom:0 ;
  background-color: #fff;
  z-index: 999;
  box-shadow: 0 1.2rem 3.2rem rgba(0 0 0 0.3);

}
.sticky .section-hero {
  margin-top: 9.6rem;
}


/****************************/
/* HERO SECTION */
/****************************/

.icon-mobile-nav {
  
  height: 3.8rem;
  width: 3.8rem;
  color: #333;
  margin-left: 5px;
}

.icon-mobile-nav[name="close-outline"] {
  display: none;
}
.section-hero {
  /* background-color: #fdf9f9; */
  /* background: linear-gradient(135deg,#EEAECA, #C5D4CB,#EB9DC0); */
  
  background: linear-gradient(120deg, #e94560 0%, #fffaf3 100%);
  padding: 4.8rem 0 9.6rem 0;
}
.hero {
  max-width: 130rem;
  margin: 0 auto;
  padding: 0 3.2rem;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 9.6rem;
  align-items: center;
}

.hero-description {
  font-size: 1.5rem;
  line-height: 1.6;
  margin-bottom: 3.2rem;
}

.hero-img {
  width: 100%;
}


.special-imags {
  display: flex;
  align-items: center;
  gap: 1.6rem;
  margin-top: 8rem;
}

.special-imgs {
  display: flex;
}
.special-imgs img {
  height: 4.8rem;
  width: 4.8rem;
  border-radius: 50%;
  margin-left: -1.6rem;
  border: 3px solid #fdf9f9;;
}
.special-imgs img :last-child {
  margin: 0;
}
.special-test {
  font-size: 1.8rem;
  font-weight: 600;
}
.special-test span {
  color: #cd5c5c;
  font-weight: 700;
}


/****************************/
/* FEATURED IN SECTION */
/****************************/
.section-featured{
  padding: 4.8rem 0 3.2rem 0;

}
.heading-featured-in{

  font-size: 1.4rem;
  text-transform: uppercase;
  letter-spacing: 0.75px;
  font-weight: 500;
  text-align: center;
  margin-bottom: 2.4rem;
  color: #cd5c5c;;
}
.featured-description{
  font-size: 1.8rem;
  line-height: 1.6;
  text-align: center;
  margin-bottom: 1.6rem;
  color: #555;
}
.logos {
  display: flex;
  justify-content: space-around;

}
.logos img{
  height: 9.6rem;
  filter: brightness(1);
  opacity: 50%;
}

/****************************/
/* ABOUT SECTIONS */
/****************************/
.section-about{
  padding: 9.6px 0;
  /* background-color: #fdf9f9; */

  
}

.about-img{
   position: absolute;
  border: 2rem solid #f0cece;
width: 80%;
height: 90%;
/* border-top-right-radius: 250px; */
border-radius: 100px 0 100px 0;
 overflow: hidden;
  transition: all 0.4s ease-in;
}
.about-img-boxe{
display: flex;
align-items: center;
justify-content: center;
position: relative;

}
.about-description{
  font-size: 2rem;
  line-height: 1.8;
  margin-bottom: 3.3rem;
}
.about-text{
  padding: 4.8rem;
  border-radius: 15px;
  background-color: #fdf9f9;
  
}
.about-img:hover{
  transform: scale(1.1);
}
/****************************/
/* crousal SECTIONS */
/****************************/
.carousel-section {
  padding: 4rem 0;
   background: linear-gradient(135deg,#fffaf3,#f6f4f2);
  margin-bottom: 1.6rem;
  display: flex;
  justify-content: center;
}

.carousel-container {
  position: relative;
  width: 90%;
  max-width: 100%;
  margin: 0 auto;
  overflow: hidden;
  border-radius: 1.5rem;
  box-shadow: 0 2.4rem 4.8rem rgba(0,0,0,0.08);
  background: #fff;
}

.carousel-track {
  display: flex;
  transition: transform 0.5s ease-in-out;
  will-change: transform;
  
}

.carousel-slide {
  min-width: 100%;
  box-sizing: border-box;
  flex-shrink: 0;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  transition: transform 0.5s ease-in-out;
}
    

.carousel-img {
  width: 100%;
  object-fit: cover;
      height: 50rem;
  border-radius: 1.5rem 1.5rem 0 0;
}

.carousel-caption {
  position: absolute;
      bottom: 30px;
      left: 50%;
      transform: translateX(-50%);
      background: rgba(0, 0, 0, 0.5);
      color: white;
      padding: 1.6rem 9.6rem;
      border-radius: 10px;
      text-align: center;
      line-height: 1.5;
      font-size: 1.8rem;
}

.carousel-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: #ead3d7;
  color: #fff;
  border: none;
  font-size: 2rem;
  padding: 0.7rem 1.2rem;
  border-radius: 50%;
  cursor: pointer;
  z-index: 2;
  transition: background 0.2s;
}
.carousel-btn--prev { left: 1rem; }
.carousel-btn--next { right: 1rem; }
.carousel-btn:hover { background: #b85c38; }
/****************************/
/* HOW IT WORKS SECTION */
/****************************/
.section-how{
  padding: 9.6px 0;
  
  
}
.step-number{
  font-size:8.6rem ;
  font-weight: 600;
  color: #eee;
  margin-bottom: 1.2rem;
}
.step-description{
  font-size: 1.8rem;
  line-height: 1.8;
  /* margin-bottom: 4.8rem; */
}



.step-img-box{
display: flex;
align-items: center;
justify-content: center;
position: relative;
 
 
}

.step-img-box::before,
.step-img-box::after
{
  content: "";
  display: block;
  border-radius: 100px 0 100px 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  
   
  /* z-index: -1; */
   
}
.step-img-box::before{
width: 60%;
padding-bottom: 60%;
background-color:#f0cece;
  z-index: -2;
}
.step-img-box::after{
  width: 50%;
  padding-bottom: 50%;
  background-color: #ebbebe;
  z-index: -1;
 
}
.step-img:hover{
 
  transform: scale(1.1);
  /* transform: translateX(40px);
  transition: transform 0.3s ease; */
}
.step-img{
  width: 35%;
}


/****************************/
/*FLOWER SECTION */
/****************************/
.section-flowers{
  padding: 9.6px 0;
  
}

.flower{
  box-shadow: 0 2.4rem 4.8rem rgba(0,0,0,0.075);
  border-radius:11px ;
  overflow: hidden;
  transform: all 0.4s;
  /* padding: 4.8rem; */
}
.flower:hover{
  transform: translateY(-1.2rem);
  box-shadow: 0 3.2rem 6.4rem rgba(0,0,0,0.075);
}
.flower-content{
  padding:3.2rem 4.8rem 4.8rem 4.8rem;
   
}
.flower-tag{
  margin-bottom: 1.2rem;
  display: flex;
  gap:0.4rem ;
 
}
.tag{
  display: inline-block;
  padding: 0.4rem 0.8rem;
  font-size: 1.2rem;
  text-transform: uppercase;
  color: #333;
  border-radius:100px ;
  font-weight: 600;
}
.tag--rose {
 background-color: #e98cc1;
 color: #fff;
}
.tag--Orchid, .tag--Tulip {
   background-color: #a90c9a;
   color: #fff;
}
.tag--Tulip {
   background-color: #ff8bc5;
   color: #fff;
}
.flower-description{
  font-size:1.6rem;
  color:#333;
  font-weight: 400;
  margin-bottom: 3.2rem;
  font-style:oblique;
}
.flower-img{
  width: 100%;
  /* height: 250px;
  object-fit: cover; */
}
.all-flowers{
  text-align: center;
  font-size: 1.6rem;
  text-decoration: none;
}

/****************************/
/* Testimonials SECTION */
/****************************/
.section-testimonials{
  display: grid;
grid-template-columns: 1fr 1fr;
 background-color:#fdf9f9 ;
 align-items: center;
}

.testimonials-container{
padding: 9.6rem ;
}

.testimonials{
display: grid;
grid-template-columns: 1fr 1fr;
row-gap: 4.8rem;
column-gap: 8rem;

}

.testimonials-img{
width: 6.4rem;
border-radius: 50%;
margin-bottom: 1.2rem;
}
.testimonials-text{
font-size: 1.6rem;
line-height: 1.6;
margin-bottom: 1.2rem;
}
.testimonials-name{
font-size: 1.6rem;
color: #6f6f6f;
}
.gallery{
  display: grid;
  grid-template-columns: repeat(3,1fr);
  gap:1.6rem;
  padding: 1.6rem ;
}
.gallery-item{
  overflow: hidden;
}

.gallery-item img{
  display: block;
  width:100%;
  transition: all 0.4s;
}
.gallery-item img:hover{
  transform: scale(1.1);
}


/* CTA SECTION */
#cta {
  padding: 6rem 0;
  background: linear-gradient(135deg, #cb356b,#bd3f32);
  color: #fff;
  position: relative;
  overflow: hidden;
}

#cta::before {
  content: "";
  position: absolute;
  width: 300px;
  height: 300px;
  background: rgba(255, 255, 255, 0.1);
  border-radius: 50%;
  top: -100px;
  right: -100px;
  transform: scale(1.5);
}

#cta::after {
  content: "";
  position: absolute;
  width: 300px;
  height: 300px;
  background: rgba(255, 255, 255, 0.1);
  border-radius: 50%;
  bottom: -100px;
  left: -100px;
  transform: scale(1.5);
}

#cta h2 {
  font-size: 2.75rem;
  font-weight: bold;
  margin-bottom: 1rem;
  color: #eee;
}

#cta p {
  font-size: 1.25rem;
  margin-bottom: 2rem;
  color: #ddd
}

.cta-btn {
  background: #fff;
  color: #e94560;
  border: none;
  font-weight: bold;
  padding: 0.75rem 2rem;
  border-radius: 50px;
  transition: transform 0.3s, box-shadow 0.3s;
}


/* FOOTER SECTION */
#footer {
  background: linear-gradient(135deg, #EEAECA, #C5D4CB,#EB9DC0);
  color: #333;
  padding: 9.6rem 0;
  border-top: 2px solid #eee;
}
.grid--footer {
  grid-template-columns: 3fr 3.5fr 3.5fr;
}
.logo-col {
  display: flex;
  flex-direction: column;
  margin-top: 2rem;
  /* margin-bottom: 3.2rem; */
}
 .nav-col{
display: flex;
flex-direction: column;
align-items: center;

}
.footer-nav{
  list-style: none;
 
}
.quick{
  
  margin-top: 2rem;
  margin-bottom: 2.2rem;
}
.footer-link:link,
.footer-link:visited {
    
  text-decoration: none;
  font-size: 1.6rem;
  color: #333;
  transition: all 0.3s;
}
li{
  margin-bottom: 1rem;
}

.footer-link:hover,
.footer-link:active {
  text-decoration: none;
  font-size: 1.6rem;
  color: #333;
  transition: all 0.3s;
}

.footer-link:hover,
.footer-link:active {
  color: #e94560;
}


.social-links {
  margin-top: 1.5rem;
  list-style: none;
  display: flex;
  
  justify-self:center;
  gap: 2.4rem;
}
.social-icon {
  height: 4.8rem;
  width: 3rem;
}

.copyright {
  font-size: 1.2rem;
  text-align: center;
  line-height: 1.2;
  color: #222;
  /* margin-top: auto; */
}

.footer-logo {
  display:block;
  
  margin-bottom: 3.2rem;

}
.footer-description{
  font-size: 1.2rem;
  line-height: 1;
  font-weight: 400;
  font-style: oblique;
  margin-top: 2.2rem;
}

/* 
/* MOBILE MENU FIXES */
/* Ensure nav links only take as much width as needed */
/* @media (max-width: 767.98px) {
  
  .navbar-nav .nav-link {
    display: inline-block;
    padding: 0.5rem 0;
    position: relative;
  } */

  /* Reset the underline starting point */
  /* .navbar-nav .nav-link::after {
    left: 0;
    width: 0;
  }

  .navbar-nav .nav-link:hover::after,
  .navbar-nav .nav-link:focus::after {
    width: 100%;
  } */

